LFR-FSW - Bug #154

Intégration BP
16/05/2014 02:03 PM - Veronique bouzid

Status: Closed Start date: 16/05/2014
Priority: Normal Due date:

Assignee: Veronique bouzid % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.10 hour
revision: ro

Description

Actuellement le simulateur de BP ne prend pas en compte la commutation de mode a une date donnée.

Lors de l'integration du code des BP, ne pas oublier de rejouer en autre
- le test SVS-0034

Ici le dernier contexte utilisé

Contexte:
LPPMON Version=0.2.2 - Branch=default - Changeset=835955994d5f

Carte mini-LFR: LFR-172200 dev V1.0; No série 5
Vhdl: 0.0.16
Soft: 1.0.0.6 (variante sur carte finale)

Brique Star-Dundee S/N 46120065.

History

#1 - 16/05/2014 03:53 PM - bruno katra

- Description updated

#2 - 16/05/2014 04:06 PM - Veronique bouzid

- Assignee changed from bruno katra to paul leroy

voici la trace identifiant le dysfonctionnement de la commutation de mode a un temps donné pour les BP
10:55:28.479763, TM_LFR_HK, TIME=0x800000033a1a,HK_LFR_MODE: SBM2 = 4

10:55:29.119796, TC_LFR_ENTER_MODE (CP_LFR_MODE=3)
CP_LFR_MODE: SBM1 =3, CP_LFR_ENTER_MODE_TIME=0x000000060000

10:55:29.140685, TM_LFR_TC_EXE_SUCCESS, TIME=0x80000003e3b7

10:55:29.503716, TM_LFR_HK, TIME=0x800000044061, HK_LFR_MODE: SBM1 = 3

10:55:29.703726, TM_LFR_SCIENCE_SBM1_BP1_F0, TIME=0x800000046b9a  -- Ne devrait pas etre produit
10:55:29.928762, TM_LFR_SCIENCE_SBM1_BP1_F0,TIME=0x80000004eb9f

etc...

#3 - 05/02/2015 08:35 AM - paul leroy

- Status changed from New to Resolved

- Assignee changed from paul leroy to Veronique bouzid

Les fonctions BP1 et BP2 ont été intégrée au soft de vol.

Configuration de test:

FSW >=2.0.2.1
VHDL >=x.1.57
#4 - 10/06/2015 09:54 AM - Veronique bouzid

Le bug est corrigé.

ici un exemple extrait du script /opt/VALIDATION_R2/Ifrverif/LFR_SVS/SVS-0034/activateLfrModeNominalCuc.py
Les fichiers de logs (2015_05_25-12_28 5*) sont dans /home/validation/data/R2-EQM/2.0.2.3/SVS-0034

12:21:36.493386, TC_LFR_ENTER_MODE (CP_LFR_MODE=3), CP_LFR_ENTER_MODE_TIME=0x0000003€0000
12:21:36.528537, TM_LFR_TC_EXE_SUCCESS, TIME=0x8000003c9848

12:21:38.212265, TM_LFR_SCIENCE_SBM1_BP1_F0, PA_LFR_ACQUISITION_TIME=0x8000003e¢0000
12:21:38.480011, TM_LFR_SCIENCE_SBM1_BP1_F0, PA_LFR_ACQUISITION_TIME=0x8000003e4000

On pourra lire le point FEATURE #431 qui traote de la datation des données.

Contexte de test

FSW 2.0.2.3

VHDL 1.1.83

EM sans timegen ou EQM sans timegen

SocExplorerEngine.getSocExplorer: Version = 0.6.0, Branch = default, Changeset = 8cf23d8c0b68
StarDundee

#5 - 10/06/2015 09:54 AM - Veronique bouzid

- Status changed from Resolved to Closed
https://hephaistos.lpp.polytechnique.fr/redmine/issues/431
http://www.tcpdf.org

